-----------------------------------------------------------------------
--- Sphere2Plane FREE Scripted Modifier for 3DsVIZr3.x&3DsMAXr3.x	---
---	version  1.02												  	---
--- by Stephen Leger 				contact: steph@secondworld.com	---
--- http://www.secondworld.com   	http://www.archidata-sa.com		---
-----------------------------------------------------------------------
plugin simpleMod Sphere2Plane
category:"ARCHIDATA-sa"
name:"Sphere2Plane"
ClassID:#(0x30630c8e, 0x2c282b76)
(	parameters main rollout:params
	(	lon type:#angle ui:spnlon default:0
		lat type:#angle ui:spnlat default:0
		amt type:#float ui:spnamt default:100
		)
	rollout params "Parameters"
	(	group "Projection"
		(	spinner spnlon "longitude :" type:#float range:[-180,180,0]
			spinner spnlat "lattitude :" type:#float range:[-90,90,0]
			spinner spnamt "amount :" type:#float range:[0,100,100] 
			)
		group "Info"
		(	label lab02 "Spherical bicylindric"
			label lab01 "projection on plane v1.02" 
			)
		group "Contact"
		(	label lab07 "steph@secondworld.com"
			label lab14 "http://www.secondworld.com"
			label lab05 "http://www.archidata-sa.com"
			)
		)
	on map i p do
	(	D = (extent.x+extent.y+extent.z)/3.
		L = D * pi
		n = (-p) * eulerangles lat 0 (180.-lon) as matrix3 
		ang = ArbAxis n as eulerangles
		pos=[center.x+(L*(ang.z+180.)/360.-L/2.), center.y+(L/2.*ang.x/180.-L/4.), center.z+(distance p center)- D/2.]
		if amt < 100 then
		(	vecteur = normalize (pos-p)
			scalaire =distance p pos
			p= p + vecteur*scalaire*amt/100
			)
		else p=pos
		)
	)